function SceneSettingsBlockedContacts(options) {
	this.options = options;

	this.SettingsBlockedContactsView = null;
	this.SettingsBlockedContactsDim = null;
	this.SettingsBlockedContactsBG = null;

	this.PreventLabel = null;
	this.BlockedPeopleLabel = null;
	this.SkypeNameInputBox = null;
	this.BlockBtn = null;

	this.list = null;
	//this.ScrollDownArrow = null;
	//this.ScrollUpArrow = null;
	this.DownArrow = null;
	this.UpArrow = null;

	this.CancelBtn = null;

	this.maxStringLenght = 50;
	this.WheelOperation = false;
	this.IsReturnOnly = true;
	
	this.IsShown = false;

}

SceneSettingsBlockedContacts.prototype.initialize = function() {
	alert("SceneSettingsBlockedContacts.initialize()");
	// this function will be called only once when the scene manager show this scene first time
	// initialize the scene controls and styles, and initialize your variables here
	// scene HTML and CSS will be loaded before this function is called
	this.create();
}

SceneSettingsBlockedContacts.prototype.handleShow = function() {
	alert("SceneSettingsBlockedContacts.handleShow()");
	// this function will be called when the scene manager show this scene
	this.list.Show();
	this.SettingsBlockedContactsDim.show();
	// list init
	this.update();
	this.ArrowUpdate();
	WndMgr.startPopupHideTimer(60000);
	this.IsShown = true;
}

SceneSettingsBlockedContacts.prototype.handleFocus = function() {
	alert("SceneSettingsBlockedContacts.handleFocus()");
	// this function will be called when the scene manager focus this scene
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	if(currentHighlight != null) {
		if(currentHighlight == this.list && this.list.GetMaxNumOfData() == 0) {
			this.highlight(this.SkypeNameInputBox);
		} else
			this.highlight(currentHighlight);
	} else {
		this.highlight(this.SkypeNameInputBox);
	}
}

SceneSettingsBlockedContacts.prototype.handleBlur = function() {
	alert("SceneSettingsBlockedContacts.handleBlur()");
	// this function will be called when the scene manager move focus to another scene from this scene
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();

	if(currentHighlight != null) {
		currentHighlight.blur();
	}
}

SceneSettingsBlockedContacts.prototype.handleHide = function() {
	alert("SceneSettingsBlockedContacts.handleHide()");
	// this function will be called when the scene manager hide this scene
	this.SettingsBlockedContactsDim.hide();
	
	this.list.CurPage = 1;
	this.list.blur();
	//
	this.list.ResetHighlight();
	WndMgr.stopPopupHideTimer();
	this.highlight(null);
	this.IsShown = false;
}

SceneSettingsBlockedContacts.prototype.handleKeyDown = function(keyCode) {
	alert("SceneSettingsBlockedContacts.handleKeyDown(" + keyCode + ")");
	// TODO : write an key event handler when this scene get focued
	PluginAPIMgr.PlayAudio(keyCode);
	if(ProcMgr.checkWidgetHighlight()==false){
		return;
	}

	var ridgeDirection = Math.round((keyCode - (5*10000000)) / 100000);
	if(ridgeDirection == 1) { // Ridge flick : Up
		if(ProcMgr.GetRidgeFlick() == false) {
			this.list.Previous();
			ProcMgr.StartRidgeTimer();
		}
	}
	else if(ridgeDirection == 2) { // Ridge flick : Down
		if(ProcMgr.GetRidgeFlick() == false) {
			this.list.Next();
			ProcMgr.StartRidgeTimer();
		}
	}
	else {
		switch (keyCode) {
			case sf.key.LEFT:
				WndMgr.resetPopupHideTimer();
				this.processLeftKey();
				break;
			case sf.key.RIGHT:
				WndMgr.resetPopupHideTimer();
				this.processRightKey();
				break;
			case sf.key.UP:
				WndMgr.resetPopupHideTimer();
				this.processUpKey(keyCode);
				break;
	
			case sf.key.DOWN:
				WndMgr.resetPopupHideTimer();
				this.processDownKey(keyCode);
				break;
	
			case sf.key.ENTER:
				this.processEnterKey();
				break;
	
			case sf.key.RETURN:
			case sf.key.EXIT:
				this.processReturnKey();
				sf.key.preventDefault();
				break;
	
			case 147:
			//infolink
			case 261:
			//contents
			case 115:
				//wiselink
				ProcMgr.processInfolinkKey();
				break;
		}
	}
}

SceneSettingsBlockedContacts.prototype.highlight = function(obj) {
	this.SettingsBlockedContactsView.setCurrenHighlight(obj);
/*
	switch(obj) {
		case this.SkypeNameInputBox:
			this.ChangeHelpbar(1);
			break;
		case this.list:
			this.ChangeHelpbar(0);
			break;
		default:
			this.ChangeHelpbar(0);
			break;
	}*/

}
SceneSettingsBlockedContacts.prototype.processReturnKey = function() {
	alert("SceneSettingsBlockedContacts.processReturnKey() ");
	
	StateMgr.Stop_SettingsBlockedContacts_State(true);
}

SceneSettingsBlockedContacts.prototype.processClickEvent = function(obj) {
	alert("SceneSettingsBlockedContacts.processClickEvent() ");

	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	if(currentHighlight != obj) {
		this.highlight(obj);
		//if(obj != this.SkypeNameInputBox)
	 }		
	this.processEnterKey(); 

}

SceneSettingsBlockedContacts.prototype.processUpKey = function(keyCode) {
	alert("SceneSettingsBlockedContacts.processUpKey()");
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	switch(currentHighlight) {
		case this.list:
			this.list.KeyProcess(keyCode);
			this.ArrowUpdate();
			break;
		case this.CancelBtn:
			this.highlight(this.BlockBtn);
			break;
	}
}
SceneSettingsBlockedContacts.prototype.processDownKey = function(keyCode) {
	alert("SceneSettingsBlockedContacts.processDownKey()");
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	switch(currentHighlight) {
		case this.BlockBtn:
			if(this.list.GetMaxNumOfData() > 0)
				this.highlight(this.list);
			else
				this.highlight(this.CancelBtn);
			break;
		case this.SkypeNameInputBox:
			if(this.list.GetMaxNumOfData() > 0)
				this.highlight(this.list);
			break;
		case this.list:
			this.list.KeyProcess(keyCode);
			this.ArrowUpdate();
			break;
	}
}
SceneSettingsBlockedContacts.prototype.processLeftKey = function() {
	alert("SceneSettingsBlockedContacts.processLeftKey()");
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	switch(currentHighlight) {
		case this.BlockBtn:
			this.highlight(this.SkypeNameInputBox);
			break;

		case this.CancelBtn:
			if(this.list.GetMaxNumOfData() > 0)
				this.highlight(this.list);
			else
				this.highlight(this.BlockBtn);
			break;
	}
}

SceneSettingsBlockedContacts.prototype.processRightKey = function() {
	alert("SceneSettingsBlockedContacts.processRightKey()");
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();

	switch(currentHighlight) {
		case this.BlockBtn:
			this.highlight(this.CancelBtn);
			break;
		case this.SkypeNameInputBox:
			this.highlight(this.BlockBtn);
			break;
		case this.list:
			this.highlight(this.CancelBtn);
			break;
	}
}
SceneSettingsBlockedContacts.prototype.processEnterKey = function() {
	alert("SceneSettingsBlockedContacts.processEnterKey()");

	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	switch(currentHighlight) {
		case this.BlockBtn:
			WndMgr.resetPopupHideTimer();
			this.blockUser();
			this.ArrowUpdate();
			break;

		case this.SkypeNameInputBox:
			WndMgr.holdPopupHideTimer();
			currentHighlight.SetImeTextEndFunc(function(){WndMgr.restartPopupHideTimer();});
			WndMgr.StartTextEditor(currentHighlight, "SettingsBlockedContacts", this.SettingsBlockedContactsDim);
			break;
		case this.list:
			WndMgr.resetPopupHideTimer();
			this.unblockUser();
			this.ArrowUpdate();
			break;
		case this.CancelBtn:
			this.processReturnKey();
			break;
	}
}
SceneSettingsBlockedContacts.prototype.ChangeHelpbar = function(type) {
	if(this.IsReturnOnly == true && type == 1) {
		var dataInfo = {
			/*'enter' : "Enter",*/
			'return' : SID_RETURN
		};
		this.SettingsBlockedContactsBG.SetHelpbarContentsOfPopupBG(dataInfo);
		this.IsReturnOnly = false;
	} else if(this.IsReturnOnly == false && type == 0) {
		var dataInfo = {
			'return' : SID_RETURN
		};
		this.SettingsBlockedContactsBG.SetHelpbarContentsOfPopupBG(dataInfo);
		this.IsReturnOnly = true;
	}
}
SceneSettingsBlockedContacts.prototype.create = function() {
	alert("SceneSettingsBlockedContacts.create()");
	this.SettingsBlockedContactsView = new View("SettingsBlockedContacts");
	this.SettingsBlockedContactsBG = new View("SettingsBlockedContactsBG");
	this.SettingsBlockedContactsBG.CreatePopupBG(0, "SettingsBlockedContacts_popup_BG");
	this.SettingsBlockedContactsBG.CreateInnerBox("SettingsBlockedContacts_popup_innerbox");
	this.SettingsBlockedContactsBG.SetTitleTextofPopupBG(TV_SID_BLOCKED_CONTACTS);
	this.SettingsBlockedContactsDim = new DimBg("SettingsBlockedContactsDim", "SettingsBlockedContactsBG");

	var this_ = sf.scene.get("SettingsBlockedContacts");
	var clickCF = function(obj) {
		this_.processClickEvent(obj);
	};

	this.PreventLabel = new TextLayer("settingsblockedcontacts_prevent_label");
	this.PreventLabel.SetTextStyle("settingsblockedcontacts_label_style");
	this.PreventLabel.SetText(IDWS_MOIP_BLOCKED_LONG_TEXT);

	this.BlockedPeopleLabel = new TextLayer("settingsblockedcontacts_blocked_people_label");
	this.BlockedPeopleLabel.SetTextStyle("settingsblockedcontacts_label_style");
	this.BlockedPeopleLabel.SetText(IDWS_MOIP_BLOCKED_PEOPLE);
	var CurLangID = ResMgr.GetCurLanguage();
	/* if(CurLangID == ENUM_TV_LANGUAGE.MAY || CurLangID == ENUM_TV_LANGUAGE.IND || CurLangID == ENUM_TV_LANGUAGE.MKD || CurLangID == ENUM_TV_LANGUAGE.KAZ)
	 {
	 }*/
	this.SkypeNameInputBox = new Button();
	this.SkypeNameInputBox.SetImageObjId("settingsblockedcontacts_skype_name_input_box", 30);
	this.SkypeNameInputBox.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_TEXT_INPUT_NORMAL);
	this.SkypeNameInputBox.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_TEXT_INPUT_FOCUS);
	this.SkypeNameInputBox.SetTextObjId("settingsblockedcontacts_skype_name_input_box_text");
	this.SkypeNameInputBox.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE,"skype_name_input_box_text_normal_style");
	this.SkypeNameInputBox.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE,"skype_name_input_box_text_focus_style");
	this.SkypeNameInputBox.SetOverflowMarquee("skype_name_input_box_marquee_style");
	this.SkypeNameInputBox.SetTextEditorInfo(IDWS_MOIP_OPTIONS_BLOCKED_USERS_KEYPAD_HELP_ENTER_SKYPE_NAME_PHONE_NUMBER , IDWS_MOIP_OPTIONS_BLOCKED_USERS_KEYPAD_HELP_ENTER_SKYPE_NAME_PHONE_NUMBER);
	this.SkypeNameInputBox.SetOnClickCallbackFunc(clickCF);
	
	this.BlockBtn = new Button();
	this.BlockBtn.SetImageObjId("settingsblockedcontacts_block_btn", 15);
	this.BlockBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_BASIC_BUTTON_NORMAL);
	this.BlockBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_BASIC_BUTTON_FOCUS);
	this.BlockBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_BASIC_BUTTON_DIM);

	this.BlockBtn.SetTextObjId("settingsblockedcontacts_block_btn_text");
	this.BlockBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE, "popup_btn_text_normal_style");
	this.BlockBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE, "popup_btn_text_focus_style");
	this.BlockBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE, "popup_btn_text_dimmed_style");

	this.BlockBtn.SetText(IDWS_MOIP_SKYPE_BLOCK);
	this.BlockBtn.SetOnClickCallbackFunc(clickCF);

	this.CancelBtn = new Button();
	this.CancelBtn.SetImageObjId("settingsblockedcontacts_cancel_btn", 20);
	this.CancelBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_IMG, g_Image.IMAGE_POPUP_BTN_NORMAL);
	this.CancelBtn.SetBgImage(BtnImgIndex.BTN_NORMAL_FOCUS_IMG, g_Image.IMAGE_POPUP_BTN_NORMALFOCUS);
	this.CancelBtn.SetBgImage(BtnImgIndex.BTN_DIM_IMG, g_Image.IMAGE_POPUP_BTN_DIM);
	this.CancelBtn.SetTextObjId("settingsblockedcontacts_cancel_btn_text");
	this.CancelBtn.SetText(SID_CANCEL);
	this.CancelBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_NORMAL_STYLE, "popup_btn_text_normal_style");
	this.CancelBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_FOCUS_STYLE, "popup_btn_text_focus_style");
	this.CancelBtn.SetTextStyle(BtnTextStyleIndex.BTN_TEXT_DIM_STYLE, "popup_btn_text_dimmed_style");
	this.CancelBtn.SetOnClickCallbackFunc(clickCF);


	this.SkypeNameInputBox.SetOnMouseOverCallbackFunc(function(obj) {
		this_.highlight(obj);
		WndMgr.resetPopupHideTimer();
	});
	this.BlockBtn.SetOnMouseOverCallbackFunc(function(obj) {
		this_.highlight(obj);
		WndMgr.resetPopupHideTimer();
	});
	this.CancelBtn.SetOnMouseOverCallbackFunc(function(obj) {
		this_.highlight(obj);
		WndMgr.resetPopupHideTimer();
	});
	this.list = new BlockList();
	this.list.Create();
	this.list.ResetHighlight();
	this.list.SetCirculation(false);
	var list_ = this_.list;
	
	
	this.list.BGLayer.SetOnMouseOverCallbackFunc(function(){
			this_.ShowArrow();
		});
	this.list.BGLayer.SetOnMouseOutCallbackFunc(function(){
			this_.HideArrow();
		});
	this.list.PreviousAtFirstItemCallBack(function(){
		this_.highlight(this_.BlockBtn);
		this_.list.blur();
		this_.list.ResetHighlight();
		});
	this.list.SetEventOnDownFunc(function(){
		this_.ArrowUpdate();
	});
	this.list.SetEventOnUpFunc(function(){
		this_.ArrowUpdate();
	});

	this.UpArrow = new Label("blocklist_up_arrow", null);
	this.UpArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_UP_ARROW);
	
	
	this.UpArrow.SetOnClickCallbackFunc(function() {
			
			if(this_.list != this_.SettingsBlockedContactsView.getCurrentHighlight())
				this_.highlight(this_.list);
			else
				list_.Previous();
			this_.ArrowUpdate();
			WndMgr.resetPopupHideTimer();
		});
	
	this.UpArrow.SetOnMouseOverCallbackFunc(function(){
		this_.UpArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_UP_ARROW_HIGH);
		this_.DownArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_DOWN_ARROW);
	});
	this.UpArrow.SetOnMouseOutCallbackFunc(function(){
		this_.HideArrow();
	});
	this.DownArrow = new Label("blocklist_down_arrow", null);
	this.DownArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_DOWN_ARROW);
	
	
	this.DownArrow.SetOnClickCallbackFunc(function() {
			
			if(this_.list != this_.SettingsBlockedContactsView.getCurrentHighlight())
				this_.highlight(this_.list);
			else
				list_.Next();
			this_.ArrowUpdate();
			WndMgr.resetPopupHideTimer();
		});
	
	this.DownArrow.SetOnMouseOverCallbackFunc(function(){
		this_.UpArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_UP_ARROW);
		this_.DownArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_DOWN_ARROW_HIGH);
	});
	this.DownArrow.SetOnMouseOutCallbackFunc(function(){
		this_.HideArrow();
	});

	
	this.HideArrow();
	this.TempDiv = document.getElementById(this.list.BGLayer.GetObjectId());
	this.TempDiv.onmousewheel = function() {
		if(this_.WheelOperation == false) {
			alert("blockList.onmousewheel");
			this_.WheelOperation = true;
			PluginAPIMgr.StartOSDTimer("500", function() {
				this_.wheelTimerCallback();
			}, ENUM_TIMER_TYPE.POPUP_WND);
			if(event.wheelDelta > 0) {
				list_.Previous();
			} else {
				list_.Next();
			}
			this_.ArrowUpdate();
			WndMgr.resetPopupHideTimer();
		}
	};
}
SceneSettingsBlockedContacts.prototype.ShowArrow = function(){
	this.DownArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_DOWN_ARROW);
	this.UpArrow.SetBgImage(g_Image.IMAGE_POPUP_INNERBOX_UP_ARROW);
}
SceneSettingsBlockedContacts.prototype.HideArrow = function(){
	this.UpArrow.SetBgImage(" ");
	this.DownArrow.SetBgImage(" ");
}
//check
SceneSettingsBlockedContacts.prototype.unblockUser = function() {
	alert("SceneSettingsBlockedContacts.unblockUser");

	var Name = this.list.GetCurSkypeName();

	//PluginAPIMgr.UnblockContact(Name);
	ProcMgr.UnblockContact(Name, MAIN_LIST_POPUP_FUNCTION_TYPE.OPTION_UNBLOCK);
}
SceneSettingsBlockedContacts.prototype.processMouseOver = function(ItemIndex) {
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	if((currentHighlight != null) && (currentHighlight != this.list)) {
		currentHighlight.blur();
	}
	this.SettingsBlockedContactsView.currentHighlight = this.list;

	this.list.MoveItem(ItemIndex);
	WndMgr.resetPopupHideTimer();
}
SceneSettingsBlockedContacts.prototype.ProcessClick = function(ItemIndex) {
	alert("SceneSettingsBlockedContacts.ProcessClick() -- " + ItemIndex);
	var currentHighlight = this.SettingsBlockedContactsView.getCurrentHighlight();
	if((currentHighlight != null) && (currentHighlight != this.list)) {
		currentHighlight.blur();
	}
	this.SettingsBlockedContactsView.currentHighlight = this.list;

	this.list.MoveItem(ItemIndex);
	
	var Name = this.list.GetCurSkypeName();
	alert(Name);
	//PluginAPIMgr.UnblockContact(Name);
	ProcMgr.UnblockContact(Name, MAIN_LIST_POPUP_FUNCTION_TYPE.OPTION_UNBLOCK);
	WndMgr.resetPopupHideTimer();
}

SceneSettingsBlockedContacts.prototype.blockUser = function() {
	alert("SceneSettingsBlockedContacts.blockUser ");

	var Name = this.SkypeNameInputBox.GetText();
	var NameLength = Name.length;
	alert("block name is = "+ Name);
	alert("block name length = "+NameLength);
	//validity check
	//1. skypeout call

	if(this.IsStringAllNumber(Name, NameLength)) {
		alert("block name is  Number")
		if(NameLength < 6) {
			alert("block name length too short")
			WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_INVALID_PHONE_NUMBER);
		}
		else {

			var finalNumber;

			if(Name[0] == '+') {
				finalNumber = PluginAPIMgr.NormalizeIdentity(Name);
			} else {
				finalNumber = PluginAPIMgr.NormalizeIdentity('+' + Name);
			}

			if(finalNumber) {
				alert("this name is join block process!!!!!!!!!!!!!!!!!");
				ProcMgr.BlockContact(finalNumber, false, MAIN_LIST_POPUP_FUNCTION_TYPE.OPTION_BLOCK);
				
			} else {
				alert("finalNumber is wrong!!!!!!!!!!!!!!!!");
				WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_INVALID_PHONE_NUMBER);
			}
		}
	} else {
		alert("block name is \"String\"");
		//1.check valid identity
		if(PluginAPIMgr.NormalizeIdentity(Name) == null) {

			WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_INVALID_NAME);
		}
		//2.check length
		else if(NameLength < 6 || NameLength > 32) {

			WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_INVALID_NAME);
		}
		//3.check my account
		else if(Name == PluginAPIMgr.GetMySkyeName()) {

			WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_MYSELF);
		}
		//4. blocked people check
		else if(this.list.IsExistBlockedUser(Name)) {

			WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_AREADY_LIST);
		}
		//5. Authrization check
		else if(parseInt(PluginAPIMgr.GetContactAvailabilityWithName(Name)) == ENUM_CONTACT_AVAILABILITY.UNKNOWN) {

			WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_AREADY_LIST);
		} else {
			alert("this name is join block process!!!!!!!!!!!!!!!!!");
			if(ProcMgr.BlockContact(Name, false, MAIN_LIST_POPUP_FUNCTION_TYPE.OPTION_BLOCK)==0){
				WndMgr.StartOneBottonPopup(OneBtnPopupIndex.OPTIONS_BLOCK_INVALID_NAME);
			}
		}

	}
}

SceneSettingsBlockedContacts.prototype.IsStringAllNumber = function(str, length) {
	alert("SceneSettingsBlockedContacts.IsStringAllNumber");

	if(str == null || length == 0) {
		return false;
	}

	if(str[0] == '+') {

		for(var i = 1; i < length; i++) {

			if(str[i] < '0' || str[i] > '9') {
				return false;
			}
		}
		return true;
	} else {

		for(var i = 0; i < length; i++) {

			if(str[i] < '0' || str[i] > '9') {
				return false;
			}
		}

		return true;
	}

}

SceneSettingsBlockedContacts.prototype.update = function() {
	alert("SceneSettingsBlockedContacts.update ");
	this.HideArrow();
	//Clear InpuBox
	if(this.SkypeNameInputBox) {
		this.SkypeNameInputBox.SetText("");
	}

	if(this.list) {
		var curPage = this.list.GetCurPage();
		this.list.ResetData();
		this.list.SetCurPage(curPage);
		this.list.RefreshPage();

	}
	if(this.list.GetMaxNumOfData() > 0) {
		
		this.DownArrow.visibleObj();
		this.UpArrow.visibleObj();
		
		this.list.BGLayer.visibleObj();
	} else {
		this.DownArrow.hiddenObj();
		this.UpArrow.hiddenObj();
		this.list.BGLayer.hiddenObj();
	}
	this.ArrowUpdate();
	if(this.IsShown==true){
		WndMgr.resetPopupHideTimer();
	}
	
}
SceneSettingsBlockedContacts.prototype.ArrowUpdate = function() {
	alert("arrowupdate = CurrentDataIndex "+ this.list.CurrentDataIndex);
	alert("arrowupdate = GetMaxNumOfData() "+ this.list.GetMaxNumOfData());
	if(this.list.TotalPage<=1){
		this.UpArrow.hiddenObj();
		this.DownArrow.hiddenObj();
	}else{
		if(this.list.CurPage==1){
			this.UpArrow.hiddenObj();
			this.DownArrow.visibleObj();
		}else if(this.list.CurPage >= this.list.TotalPage){
			this.UpArrow.visibleObj();
			this.DownArrow.hiddenObj();
		}else{
			this.UpArrow.visibleObj();
		}
	}
	/*
	if(this.list.CurrentitemIndex<=0)
		{
			this.UpArrow.hiddenObj();
		}else{
			this.UpArrow.visibleObj();
		}
		if(this.list.CurrentDataIndex+1>=this.list.GetMaxNumOfData()){
			this.DownArrow.hiddenObj();
		}else{
			this.DownArrow.visibleObj();
		}*/
	
}
SceneSettingsBlockedContacts.prototype.wheelTimerCallback = function() {
	this.WheelOperation = false;
}
